CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

            calibre-debug [opciones]

Diversas interfaces de línea de órdenes útiles para depurar calibre. Sin opciones, esta orden inicia un intérprete de Python incrustado. También se pueden iniciar la interfaz gráfica principal de calibre, el visor de libros electrónicos de calibre y el editor de calibre en modo de depuración.

También contiene interfaces para distintos aspectos de calibre que no tienen herramientas de línea de órdenes específicas, como la reducción de caracteres de tipos de letra, la herramienta de comparación de libros, etc.

Se puede usar también calibre-debug para ejecutar scripts independientes. Para ello se usa de esta manera:

calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Todo lo que se ponga después de -- se pasará al script. También puede usar calibre-debug como «shebang» en scripts, así:

#!/usr/bin/env -S calibre-debug -e -- --

Cuando alguno de los argumentos de calibre-debug contenga espacios, póngalo entre comillas. Por ejemplo: "/some path/with spaces"

[OPCIONES]

    --add-simple-plugin
        Añadir un complemento sencillo (un complemento que conste de un único archivo .py) especificando la ruta al archivo .py que contiene el código del complemento.

    --command, -c
        Ejecutar código Python.

    --debug-device-driver, -d
        Depurar detección de dispositivos

    --default-programs
        (Des)registrar calibre como programa predeterminado de Windows. --default-programs = (register|unregister)

    --diff
        Ejecutar la herramienta de comparación de calibre. Por ejemplo: calibre-debug --diff archivo1 archivo2

    --edit-book
        Ejecutar la herramienta de modificación de libros de calibre en modo de depuración. Como con -g, use -- para pasar argumentos de línea de órdenes

    --exec-file, -e
        Ejecutar el código Python en el archivo.

    --explode-book, -x
        Expandir el libro en la carpeta especificada. Empleo: -x archivo.epub dir_salida Exporta el libro como una colección de archivos HTML y metadatos, que pueden modificarse con las herramientas habituales para HTML. Funciona con archivos EPUB, AZW3, HTMLZ y DOCX.

    --export-all-calibre-data
        Exportar todos los datos de calibre (libros, configuración, complementos). Normalmente se le pedirá la carpeta donde exportar y las bibliotecas a exportar. También puede especificarlas como argumentos de línea de órdenes para evitar las preguntas. Use rutas absolutas para la carpeta de exportación y las bibliotecas. Puede usarse la palabra clave «all» para exportar todas las bibliotecas. Ejemplos: calibre-debug --export-all-calibre-data # para uso interactivo calibre-debug --export-all-calibre-data /ruta/a/carpeta/de/exportación/vacía /ruta/a/carpeta/de/biblioteca1 /ruta/a/carpeta/de/biblioteca2 calibre-debug --export-all-calibre-data /carpeta/de/exportación all # exportar todas las bibliotecas conocidas

    --gui, -g
        Ejecutar la interfaz gráfica con depuración activada. La salida de depuración se escribe en la salida y flujo de error estándares. Para pasar argumentos de línea de órdenes use -- seguido de los argumentos, por ejemplo: calibre-debug -g -- /ruta/al/libro

    --gui-debug
        Ejecutar la interfaz gráfica con consola de depuración, con registro en la ruta especificada. Para uso interno, use la opción -g para ejecutar la interfaz gráfica en modo de depuración

    --help, -h
        mostrar este mensaje de ayuda y terminar

    --implode-book, -i
        Regenerar un libro previamente expandido. Empleo: -l dir_salida archivo.epub Importa el libro a partir de los archivos en «dir_salida», que debe haber sido creado por una ejecución previa de --explode-book. Asegúrese de especificar el mismo tipo de archivo que se usó al expandir.

    --import-calibre-data
        Importar datos de calibre previamente exportados

    --inspect-mobi, -m
        Inspeccionar los archivos MOBI en las rutas especificadas

    --kepubify
        Convertir el archivo EPUB especificado a KEPUB sin hacer una conversión completa. Esto es lo que hace el controlador Kobo al enviar archivos al dispositivo.

    --paths
        Mostrar las rutas necesarias para configurar el entorno de calibre

    --run-plugin, -r
        Ejecutar un complemento que proporciona una interfaz de línea de órdenes. Por ejemplo: calibre-debug -r "Nombre del complemento" -- archivo1 --option1 Todo lo que aparezca después de -- se pasará al complemento como argumentos.

    --run-test, -t
        Ejecutar las pruebas nombradas. Usar el valor especial «all» para ejecutar todas las pruebas. Si el nombre de la prueba empieza por un punto se supone que es un nombre de módulo. Si el nombre de la prueba empieza por @ se supone que es un nombre de categoría.

    --run-without-debug
        No ejecutar con DEBUG activado

    --shutdown-running-calibre, -s
        Cierra una sesión de calibre que pueda estar abierta. Tenga cuidado, porque si hay tareas en ejecución serán abortadas, úselo con precaución.

    --subset-font, -f
        Reducir el tipo de letra especificado. Use -- después de esta opción para pasar opciones al programa de reducción de tipos de letra.

    --test-build
        Probar módulos binarios incluidos

    --un-kepubify
        Convertir el archivo KEPUB especificado a EPUB sin hacer una conversión completa. Esto es lo que hace el controlador Kobo al importar archivos del dispositivo.

    --version
        mostrar el número de versión del programa y terminar

    --viewer, -w
        Ejecutar el visor de libros electrónicos en modo de depuración. Como con -g, use -- para pasar argumentos de línea de órdenes.

Author
Kovid Goyal

Copyright
Kovid Goyal